libltdl7_2.4.6-0.1_amd64.deb


Advertisement

Description

libltdl7 - System independent dlopen wrapper for GNU libtool

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name libltdl7
Package version 2.4.6
Package release 0.1
Package architecture amd64
Package type deb
Installed size 83 B
Download size 37.39 KB
Official Mirror archive.ubuntu.com
This package contains the run-time libltdl library.
A small library that aims at hiding the various difficulties of
dlopening libraries from programmers.  It is a system independent
dlopen wrapper for GNU libtool.
It supports the following dlopen interfaces:
* dlopen (Solaris, Linux and various BSD flavors)
* shl_load (HP-UX)
* LoadLibrary (Win16 and Win32)
* load_add_on (BeOS)
* GNU DLD (emulates dynamic linking for static libraries)
* libtool's dlpreopen

Alternatives

Package Version Architecture Repository
libltdl7_2.4.6-0.1_i386.deb 2.4.6 i386 Ubuntu Main
libltdl7 - - -

Requires

Name Value
libc6 >= 2.14

Download

Type URL
Binary Package libltdl7_2.4.6-0.1_amd64.deb
Source Package libtool

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libltdl7 deb package:
    # sudo apt-get install libltdl7

Files

Path
/usr/lib/x86_64-linux-gnu/libltdl.so.7
/usr/lib/x86_64-linux-gnu/libltdl.so.7.3.1
/usr/share/doc/libltdl7/NEWS.gz
/usr/share/doc/libltdl7/README
/usr/share/doc/libltdl7/changelog.Debian.gz
/usr/share/doc/libltdl7/copyright

Changelog

2016-02-07 - Matthias Klose <doko@debian.org>
libtool (2.4.6-0.1) unstable; urgency=medium
* Non maintainer upload.
[ Rico Tzschichholz ]
* New upstream release
Remove patches applied upstream:
- hurd.patch
- x32.patch
- ppc64el.patch
* Cherry-picked patches from upstream git:
- 0001-libtool-fix-GCC-linking-with-specs.patch
- 0003-libtoolize-fix-infinite-recursion-in-m4.patch
- 0015-syntax-check-fix-sed-syntax-errors.patch
- 0020-libtool-fix-GCC-clang-linking-with-fsanitize.patch
* Build-depend on texinfo needed by bootstrap.
* *.install/rules: Updated for upstream changes.
2014-10-14 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.11) unstable; urgency=medium
* Non-maintainer upload.
* Drop libtool's dependency on libtool-bin.
* Add libtool-bin dependency on libtool.
* Make libtool Multi-Arch: foreign. Closes: #682045.
* Bump standards version to 3.9.6.
2014-08-19 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.10) unstable; urgency=medium
* Non-maintainer upload.
* Run the tests in the build target, not the install target.
2014-08-19 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.9) unstable; urgency=medium
* Non-maintainer upload.
* Fix the architecture only build.
2014-08-17 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.8) unstable; urgency=medium
* Non-maintainer upload with maintainer's permission.
* Split-out the libtool binary into a libtool-bin package, let libtool
still depend on the libtool-bin package.
* Set the architecture for libtool to `all'.
* The next steps are:
- Fix package builds with libtool's dependency on libtool-bin removed,
either by changing the package build not to require libtool or by
adding a build dependency on libtool-bin.
- Drop libtool's dependency on libtool-bin.
* Build using dpkg-buildflags.
* Fix some lintian warnings. Closes: #711521.
* Only ship the complete upstream changelogs in the -doc package.
* Move texinfo to Build-Depends-Indep (Daniel Schepler). Closes: #737941.
* Build-depend on most recent autoconf and automake versions to minimize
the risk of mismatching files in the libltdl-dev M-A: same package.
Closes: #733935.
2014-02-10 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.7) unstable; urgency=medium
* Non-maintainer upload.
* Fix typo in the ppc64el guessing in config.guess.
2014-01-02 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.6) unstable; urgency=low
* Non-maintainer upload.
* Rebuild using the recent automake 1.14.1 version. Closes: #733935.
2014-01-02 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.5) unstable; urgency=medium
* Non-maintainer upload.
* Update the powerpc little endian support, outdated in the Debian
patch in #726404.
2014-01-01 - Matthias Klose <doko@debian.org>
libtool (2.4.2-1.4) unstable; urgency=low
* Non-maintainer upload with maintainer's permission.
* Add powerpc little endian updates. Closes: #726404.
* Build-conflict with and suggest gcj-jdk instead of gcj.
2013-07-01 - Colin Watson <cjwatson@debian.org>
libtool (2.4.2-1.3) unstable; urgency=low
* Non-maintainer upload.
* Build-depend on help2man (closes: #712413).

See Also

Package Description
liblua5.1-0-dev_5.1.5-8ubuntu1_amd64.deb Development files for the Lua language version 5.1
liblua5.1-0_5.1.5-8ubuntu1_amd64.deb Shared library for the Lua interpreter version 5.1
liblua5.1-rrd-dev_1.5.5-4_all.deb Transitional package to lua-rrd-dev
liblua5.2-0_5.2.4-1ubuntu1_amd64.deb Shared library for the Lua interpreter version 5.2
liblua5.2-dev_5.2.4-1ubuntu1_amd64.deb Development files for the Lua language version 5.2
liblua5.3-0_5.3.1-1ubuntu2_amd64.deb Shared library for the Lua interpreter version 5.3
liblua5.3-dev_5.3.1-1ubuntu2_amd64.deb Development files for the Lua language version 5.3
liblvm2-dev_2.02.133-1ubuntu10_amd64.deb LVM2 libraries - development files
liblvm2app2.2_2.02.133-1ubuntu10_amd64.deb LVM2 application library
liblvm2cmd2.02_2.02.133-1ubuntu10_amd64.deb LVM2 command library
liblwp-mediatypes-perl_6.02-1_all.deb module to guess media type for a file or a URL
liblwp-protocol-https-perl_6.06-2_all.deb HTTPS driver for LWP::UserAgent
liblwres141_9.10.3.dfsg.P4-8_amd64.deb Lightweight Resolver Library used by BIND
liblxc1_2.0.0-0ubuntu2_amd64.deb Linux Containers userspace tools (library)
liblz4-1_0.0~r131-2ubuntu2_amd64.deb Fast LZ compression algorithm library - runtime
Advertisement
Advertisement